///////////////////////////////////////////////////////////////////////////
//
//   Copyright 2010 Alberto González Palomo
//   Author: Alberto González Palomo - http://sentido-labs.com/
//
//   This file is part of Tutorial Toolkit, abbreviated as TTK.
//
//   TTK is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 3 of the License, or
//   (at your option) any later version.
//
//   TTK is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with TTK; if not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////////////

package com.sentidolabs.ttk;

import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;

/**
 * Hand-drawn circle highlight style.
 */
public class CircleHighlight extends Highlight
{
    public CircleHighlight()
    {
        setStroke(Color.BLUE, 3.0f);
    }
    
    public void paintAround(Rectangle bounds, Graphics2D g)
    {
        g.setPaint(strokePaint);
        g.setStroke(stroke);
        int deltaRX, deltaRY;
        deltaRX = (int)(bounds.width  * 0.2);
        deltaRY = (int)(bounds.height * 0.2);
        g.drawOval(bounds.x - deltaRX,       bounds.y - deltaRY,
                   bounds.width + 2*deltaRX, bounds.height + 2*deltaRY);
    }
    
}
